package com.persagy.dmp.file.model;

import cn.hutool.core.io.file.FileNameUtil;
import com.persagy.dmp.common.lang.PsDate;
/***
 * Description: 文件信息组装器
 * @author : lijie
 * @date :2021/10/22 15:00
 * Update By lijie 2021/10/22 15:00
 */
public class FileMd5Creator {

    /**
     * 创建FileInfo
     * @param bucketName 桶 - 应用名
     * @return
     */
    public static FileMd5 of(String bucketName, String fileMd5Str,Integer uploadStatus){
        FileMd5 fileMd5 = new FileMd5();
        fileMd5.setFileBucket(FileInfoCreator.formatBucket(bucketName));
        fileMd5.setFileMd5(fileMd5Str);
        fileMd5.setFileType("0");
        fileMd5.setUploadStatus(uploadStatus);
        fileMd5.setValid(1);
        return fileMd5;
    }

    /**
     * 组装文件路径
     * groupCode/dateStr/fileName
     * @param fileMd5 文件管理信息
     */
    public static void buildFilePath(FileMd5 fileMd5,String fileName) {
        String sb = PsDate.parsePsDate(fileMd5.getCreationTime()).toString() +
                FileNameUtil.UNIX_SEPARATOR + fileName;
        fileMd5.setFilePath(sb);
    }
}
